ARG FROM_IMAGE=gitlab-registry.cern.ch/linuxsupport/cc7-base

FROM ${FROM_IMAGE}

ENV LANG C.UTF-8

RUN yum-config-manager --enable epel && \
    yum update -y && yum install -y make zip  gcc-c++ libgcc.i686 libstdc++.i686 glibc-devel.i686 rapidjson-devel glibc-devel CERN-CA-certs && \
    yum clean all

RUN mkdir -p ~/.ssh && \
    /bin/bash -c 'echo -e "Host gitlab.cern.ch\n\tStrictHostKeyChecking no\n\n" > ~/.ssh/config'

